Subject: error compiling graphics/gd
To: None <tech-pkg@NetBSD.ORG>
From: Mirko Thiesen <thiesi@ReLink.NetWorkXXIII.Sytes.NET>
List: tech-pkg
Date: 01/07/2004 17:26:58
Hi there,

when I try to compile graphics/gd on my system (PkgSrc sup'ed before
compiling attempt) I always get the following error message:

(17:18:17) root@ReLink [/usr/pkgsrc/graphics/gd] # make update
pkg_info: No matching pkg for gd-[0-9]*.
===> Checking for vulnerabilities in gd-2.0.17
=> Checksum OK for gd-2.0.17.tar.gz.
===> Extracting for gd-2.0.17
===> Required installed package jpeg>=6b: jpeg-6bnb1 found
===> Required installed package png>=1.2.4: png-1.2.5nb2 found
===> Required installed package libtool-base>=1.4.20010614nb11:
libtool-base-1.4.20010614nb19 found
===> Required installed package x11-links>=0.19: x11-links-0.19 found
===> Patching for gd-2.0.17
===> Overriding tools for gd-2.0.17
===> Buildlinking for gd-2.0.17
make: don't know how to make _BUILDLINK_USE. Stop

make: stopped in /usr/pkgsrc/graphics/gd
*** Error code 2

make: stopped in /usr/pkgsrc/graphics/gd
*** Error code 1

make: stopped in /usr/pkgsrc/graphics/gd
(17:18:39) root@ReLink [/usr/pkgsrc/graphics/gd] #

The system is as follows:

(17:18:39) root@ReLink [/usr/pkgsrc/graphics/gd] # uname -a
NetBSD ReLink.NetWorkXXIII.Sytes.NET 1.6.2_RC2 NetBSD 1.6.2_RC2 (ReLink)
#11: Fri Nov 28 01:15:29 CET 2003

Any ideas? Thanks in advance!

Bye, K&K,
thiesi@NetWork23.Sytes.NET ---- NetBSD: Power to the people!
Tel.: ++49-(0)171-416 05 09 -- Fax: ++49-(0)171-134 16 05 09
Mirko Thiesen, P.O. Box 26 03 54, D-13413 Berlin, W. Germany
             "We're with you all the way, mostly"